Bug 475910 - asterisk and asterisk-curl packages provide the same file
asterisk and asterisk-curl packages provide the same file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: asterisk (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 21:11 EST by Michal Jaegermann
Modified: 2009-09-03 23:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-03 23:16:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-12-10 21:11:41 EST
Description of problem:
The same file /usr/lib/asterisk/modules/func_curl.so is provided both by asterisk and asterisk-curl packages.  Makes cpio rather unhappy.

With asterisk-curl-1.6.0.1-2.fc10 there is one additional file, namely /usr/lib/asterisk/modules/res_config_curl.so.  In the case of asterisk-curl-1.4.22-2.fc8 that package can, and likely should, be simply skipped.

Version-Release number of selected component (if applicable):
asterisk-1.6.0.1-2.fc10
asterisk-curl-1.6.0.1-2.fc10

Additional info:
As the above is the case both for Fedora 10 and Fedora 8 then I strongly suspect that Fedora 9 is affected in the same way.
Comment 1 Fedora Update System 2009-01-04 14:20:22 EST
asterisk-1.6.0.2-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/asterisk-1.6.0.2-3.fc10
Comment 2 Jeffrey C. Ollie 2009-01-04 14:22:06 EST
At least in F-10 it looked like func_curl was the repeated file.
Comment 3 Fedora Update System 2009-01-04 22:30:31 EST
asterisk-1.6.0.2-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/asterisk-1.6.0.2-4.fc10
Comment 4 Fedora Update System 2009-01-07 04:32:11 EST
asterisk-1.6.0.2-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update asterisk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0206
Comment 5 Fedora Update System 2009-01-08 17:24:40 EST
asterisk-1.6.0.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/asterisk-1.6.0.3-1.fc10
Comment 6 Fedora Update System 2009-01-14 21:59:26 EST
asterisk-1.6.0.3-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update asterisk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0448
Comment 7 Fedora Update System 2009-01-14 22:06:43 EST
asterisk-1.6.0.3-1.fc9, dahdi-tools-2.0.0-1.fc9, libresample-0.1.3-9.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update asterisk dahdi-tools libresample'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0536
Comment 8 Fedora Update System 2009-01-26 20:48:39 EST
asterisk-1.6.0.5-2.fc9, libresample-0.1.3-9.fc9, dahdi-tools-2.0.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update asterisk libresample dahdi-tools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0973
Comment 9 Fedora Update System 2009-01-26 20:49:41 EST
asterisk-1.6.0.5-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update asterisk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0984

Note You need to log in before you can comment on or make changes to this bug.